function [f,g] = subspace_v2(U, V)
%% Compute the subspace vectors f, g based on residual R0.
% s1 = sum(R0);
% s2 = sum(R0, 2);
% [~,i1] = sort(s1, 'descend');
% [~,i2] = sort(s2, 'descend');
% if norm(R0,1) >= norm(R0,Inf)
%     f = R0(:, i1(1));
%     g = (R0'*f)/(norm(f,2).^2);
% else
%     g = R0(i2(1), :);
%     g=g';
%     f = (R0*g)/(norm(g,2).^2);
% end

% [u1,s1,v1] = svds(U,1);
% [u2,s2,v2] = svds(V,1);

e1 = ones(size(U,1),1);
e2 = ones(size(V,2),1);
[m1,i1] = max((e1'*abs(U))*abs(V));
[m2,i2] = max(abs(U)*(abs(V)*e2));

if m1 >= m2
    f = U*V(:,i1);
    g = V'*(U'*f)/(norm(f,2).^2);
else
    g = U(i2,:)*V;
    g = g';
    f = U*(V*g)/(norm(g,2).^2);
end
end